<?php
class Cliente extends Conectar
{
    public function get_cliente()
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM cliente";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();
        return $stmt->fetchAll();
    }
    public function get_cliente_activo()
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM cliente WHERE Est_clie = 1";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();
        return $stmt->fetchAll();
    }

    public function get_cliente_id($Ccod_clieID)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM cliente WHERE Ccod_clieID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_clieID]);
        return $stmt->fetch();
    }

    public function insert_cliente($Ccod_clie, $Nom_clie, $Emp_clie, $RUC_clie)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "INSERT INTO cliente (Ccod_clie, Nom_clie, Emp_clie, RUC_clie, Est_clie) VALUES (?, ?, ?, ?, 1)";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_clie, $Nom_clie, $Emp_clie, $RUC_clie]); // Asegúrate de que este arreglo tiene los valores correctos.
        return true;
    }


    public function update_cliente($Ccod_clieID, $Ccod_clie, $Nom_clie, $Emp_clie, $RUC_clie, $Est_clie)
    {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "UPDATE cliente 
                SET Ccod_clie = ?, Nom_clie = ?, Emp_clie = ?, RUC_clie = ?, Est_clie = ? 
                WHERE Ccod_clieID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_clie, $Nom_clie, $Emp_clie, $RUC_clie, $Est_clie, $Ccod_clieID]);
        return true;
    }
}
